#
# Table structure for table 'tt_content'
#
CREATE TABLE tt_content (
	tx_calendaradv_mode int(11) unsigned DEFAULT '0' NOT NULL
);




#
# Table structure for table 'tx_calendaradv_eventos_categoria_mm'
# 
#
CREATE TABLE tx_calendaradv_eventos_categoria_mm (
  uid_local int(11) unsigned DEFAULT '0' NOT NULL,
  uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
  tablenames varchar(30) DEFAULT '' NOT NULL,
  sorting int(11) unsigned DEFAULT '0' NOT NULL,
  KEY uid_local (uid_local),
  KEY uid_foreign (uid_foreign)
);



#
# Table structure for table 'tx_calendaradv_eventos'
#
CREATE TABLE tx_calendaradv_eventos (
	uid int(11) DEFAULT '0' NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,
	fe_group int(11) DEFAULT '0' NOT NULL,
	titulo tinytext NOT NULL,
	diainicio int(11) DEFAULT '0' NOT NULL,
	diafin int(11) DEFAULT '0' NOT NULL,
	horainicio int(11) DEFAULT '0' NOT NULL,
	horafin int(11) DEFAULT '0' NOT NULL,
	descripcion text NOT NULL,
	categoria int(11) unsigned DEFAULT '0' NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_calendaradv_categorias'
#
CREATE TABLE tx_calendaradv_categorias (
	uid int(11) DEFAULT '0' NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	descripcion tinytext NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);