<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

$TCA["tx_calendaradv_eventos"] = Array (
	"ctrl" => $TCA["tx_calendaradv_eventos"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,endtime,fe_group,titulo,diainicio,diafin,horainicio,horafin,descripcion,categoria"
	),
	"feInterface" => $TCA["tx_calendaradv_eventos"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"titulo" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:calendar_adv/locallang_db.php:tx_calendaradv_eventos.titulo",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"diainicio" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:calendar_adv/locallang_db.php:tx_calendaradv_eventos.diainicio",		
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"diafin" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:calendar_adv/locallang_db.php:tx_calendaradv_eventos.diafin",		
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"horainicio" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:calendar_adv/locallang_db.php:tx_calendaradv_eventos.horainicio",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "time",
			)
		),
		"horafin" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:calendar_adv/locallang_db.php:tx_calendaradv_eventos.horafin",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "time",
			)
		),
		"descripcion" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:calendar_adv/locallang_db.php:tx_calendaradv_eventos.descripcion",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
				"wizards" => Array(
					"_PADDING" => 2,
					"RTE" => Array(
						"notNewRecords" => 1,
						"RTEonly" => 1,
						"type" => "script",
						"title" => "Full screen Rich Text Editing|Formatteret redigering i hele vinduet",
						"icon" => "wizard_rte2.gif",
						"script" => "wizard_rte.php",
					),
				),
			)
		),
		"categoria" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:calendar_adv/locallang_db.php:tx_calendaradv_eventos.categoria",		
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("",0),
				),
				"foreign_table" => "tx_calendaradv_categorias",	
				"foreign_table_where" => "ORDER BY tx_calendaradv_categorias.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"MM" => "tx_calendaradv_eventos_categoria_mm",	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_calendaradv_categorias",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, titulo, diainicio, diafin, horainicio, horafin, descripcion;;;richtext[cut|copy|paste|textcolor|bold|italic|underline|link|image|user]:rte_transform[mode=ts_css|imgpath=uploads/tx_calendaradv/rte/], categoria")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_calendaradv_categorias"] = Array (
	"ctrl" => $TCA["tx_calendaradv_categorias"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,descripcion"
	),
	"feInterface" => $TCA["tx_calendaradv_categorias"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"descripcion" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:calendar_adv/locallang_db.php:tx_calendaradv_categorias.descripcion",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, descripcion;;;richtext[cut|copy|paste|textcolor|bold|italic|underline|link|image|user]:rte_transform[mode=ts_css|imgpath=uploads/tx_calendaradv/rte/]")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);
?>